﻿using System;
using System.Collections.Generic;

namespace ApplicationAvalonia.Models;

public partial class Film
{
    public int Id { get; set; }

    public string Name { get; set; } = null!;

    public string? Image { get; set; }

    public string? Description { get; set; }

    public string Duration { get; set; } = null!;

    public string? Trailer { get; set; }

    public decimal? Raiting { get; set; }

    public virtual ICollection<DirectorsAndFilm> DirectorsAndFilms { get; set; } = new List<DirectorsAndFilm>();

    public virtual ICollection<FilmAndGenre> FilmAndGenres { get; set; } = new List<FilmAndGenre>();
}
